# Uses of Interface
org.eclipse.e4.ui.model.fragment.MModelFragments

Packages that use MModelFragments
Package
Description
org.eclipse.e4.ui.model.fragment
Application programming interfaces describing the Eclipse 4 fragment model elements.
org.eclipse.e4.ui.model.fragment.impl
org.eclipse.e4.ui.model.fragment.util

## Uses of MModelFragments in org.eclipse.e4.ui.model.fragment

Methods in org.eclipse.e4.ui.model.fragment that return MModelFragments
Modifier and Type
Method
Description
`MModelFragments`
MFragmentFactory.`createModelFragments()`
Returns a new object of class 'Model Fragments'.

## Uses of MModelFragments in org.eclipse.e4.ui.model.fragment.impl

Classes in org.eclipse.e4.ui.model.fragment.impl that implement MModelFragments
Modifier and Type
Class
Description
`class`
`ModelFragmentsImpl`
An implementation of the model object 'Model Fragments'.
Methods in org.eclipse.e4.ui.model.fragment.impl that return MModelFragments
Modifier and Type
Method
Description
`MModelFragments`
FragmentFactoryImpl.`createModelFragments()`

## Uses of MModelFragments in org.eclipse.e4.ui.model.fragment.util

Methods in org.eclipse.e4.ui.model.fragment.util with parameters of type MModelFragments
Modifier and Type
Method
Description
`T`
FragmentSwitch.`caseModelFragments(MModelFragments object)`
Returns the result of interpreting the object as an instance of 'Model Fragments'.